# vim: set sw=4 ts=4 et nu:

Name:           perl-DateTime-TimeZone
Version:        1.31
Release:        0.pm.23.1
Summary:        Time zone object base class and factory
# http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/DateTime-TimeZone-%{version}.tar.gz
Source:         DateTime-TimeZone-%{version}.tar.gz
URL:            http://search.cpan.org/dist/DateTime-TimeZone
Group:          Development/Libraries/Perl
License:        GPL+ or Artistic
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
BuildRequires:  perl-macros
BuildRequires:  make
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Simple)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.31
BuildRequires:  perl(Class::Singleton) >= 1.03
BuildRequires:  perl(parent)
BuildRequires:  perl(Params::Validate) >= 0.72
BuildRequires:  perl(Pod::Man) >= 1.14
BuildRequires:  perl(Class::Load)
BuildRequires:  perl(Cwd) >= 3
Requires:       perl(Class::Singleton) >= 1.03
Requires:       perl(parent)
Requires:       perl(Params::Validate) >= 0.72
Requires:       perl(Pod::Man) >= 1.14
Requires:       perl(Class::Load)
Requires:       perl(Cwd) >= 3
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description
This class is the base class for all time zone objects. A time zone is
represented internally as a set of observances, each of which describes
the offset from GMT for a given time period.
Note that without the "DateTime.pm" module, this module does not do much.
It's primary interface is through a "DateTime" object, and most users will
not need to directly use "DateTime::TimeZone" methods.

%prep
%setup -q -n "DateTime-TimeZone-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

# rpmlint: spurious-executable-perm
pushd tools
find -type f -exec %{__chmod} 0644 {} \;
popd

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%if 0%{?suse_version} > 1120
%check
%__make test
%endif

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README Changes LICENSE
%doc tools
%dir %{perl_vendorlib}/DateTime
%{perl_vendorlib}/DateTime/TimeZone
%{perl_vendorlib}/DateTime/TimeZone.pm
%doc %{perl_man3dir}/DateTime::TimeZone.%{perl_man3ext}%{ext_man}
%doc %{perl_man3dir}/DateTime::TimeZone::*.%{perl_man3ext}%{ext_man}

%changelog
* Fri Apr  1 2011 coolo@novell.com
- update to 1.31:
  Updates for Win32 time zones
* Mon Mar 14 2011 pascal.bleser@opensuse.org
- regenerated to use proper dependencies
- update to 1.30:
  * based on version 2011d of the Olson database
  * includes changes for Samoa, Turkey, and Cuba
- changes from 1.29:
  * includes new zones, America/Sitka and America/Metlakatla, as well as
    changes for Alaska and Chile
- changes from 1.28:
  * includes a new zone, America/North_Dakota/Beulah
- changes from 1.27:
  * includes historical updates for Australia and Hawaii
- changes from 1.26:
  * fix prereqs
- changes from 1.25:
  * attempting to determine the local time zone while inside a sort subroutine
    could cause an error "Can't return outside a subroutine"; this was caused
    by stack corruption that happens when an eval "use $module" fails
    (RT#63106)
- changes from 1.24:
  * includes updates for Fiji
  * all modules in the distro now have the same $VERSION
- changes from 1.22:
  * historical updates for Hong Kong
- changes from 1.21:
  * updates for Egypt and Palestine
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Aug  9 2010 chris@computersalat.de
- update to 1.20
  - This release is based on version 2010k of the Olson database. This release
    includes updates for Egypt, Finland (historical only), and Mexico. It also
    renames Pacific/Truk to Pacific/Chuuk and Pacific/Ponape to Pacific/Pohnpei.
* Tue Jul 20 2010 chris@computersalat.de
- update to 1.19
  - This release is based on version 2010j of the Olson database. This release
    creates a new zone for Mexico (America/Bahia_Banderas).
  - Dateline time zone on Win32 now always maps to a fixed -12:00 zone. Patch by
    David Pinkowitz.
- 1.18    2010-04-19
  - This release is based on version 2010i of the Olson database. This release
    includes changes for Morocco, Taiwan (historical only), and Argentina.
- recreated by cpanspec 1.78
  o fix deps
- noarch pkg
* Sun Apr 11 2010 chris@computersalat.de
- update to 1.17
  - Updated Win32 to Olson name translation mapping. Patch by David
    Pinkowitz. RT #56445.
- 1.16    2010-04-05
  - This release is based on version 2010h of the Olson database. This release
    includes changes for Tunisia and Pakistan.
- 1.15    2010-03-29
  - This release is based on version 2010g of the Olson database. This release
    includes changes for Bangladesh, Palestine, and Russia.
- 1.14    2010-03-22
  - This release is based on version 2010f of the Olson database. This release
    includes changes for Antartica, Syria, and Samoa.
  - Moved code to my hg repo at http://hg.urth.org/hg/DateTime-TimeZone.
- 1.13    2010-03-08
  - This release is based on version 2010e of the Olson database. This release
    fixes a bug in the Bangladesh zone introduced in 2010d.
- 1.12    2010-03-08
  - This release is based on version 2010d of the Olson database. This release
    has changes for Bangladesh, Fiji, Samoa, and Chile.
- other changes please see Changes file
- removed .packlist, perllocal.pod files
  > noarch package
- cleanup spec
  o removed useless comments
  o fixed Header
  o update License, Url, description
  o fixed deps
  - perl-macros < 1120
  - perl(Cwd) >= 3
  - perl(Test::Output)
  o moved changelog to changes file
  o macro usage
  o Makefile.PL > Build.PL
  o changelog to changes file
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Wed Jun 24 2009 chris@computersalat.de
- update to 0.91
  - 0.91    2009-05-26
  - This release is based on version 2009h of the Olson database. This
    release has no user-visible changes, but I like to follow along
    anyway.
  - 0.90    2009-04-27
  - This release is based on version 2009g of the Olson database. This
    release has changes for Egypt.
  - 0.89    2009-04-13
  - This release is based on version 2009f of the Olson database. This
    release has changes for Pakistan.
  - 0.88    2009-04-06
  - This release is based on version 2009e of the Olson database. This
    release has changes for Jordan and Palestine.
  - 0.87    2009-04-05
  - The DateTime::TimeZone::Local module will now try to load a subclass
    of the form DateTime::TimeZone::Local::$^O before falling back to
    the Unix subclass. This allows you to provide a new subclass on
    systems where the existing subclasses (Unix, Win32, and VMS) don't
    get the right answer. Based on a patch from Olivier MenguÃ©.
  - 0.86    2009-03-23
  - This release is based on version 2009d of the Olson database. This
    release has changes for Morocco, Tunisia, Syria, and Argentina.
  - 0.85    2009-03-16
  - This release is based on version 2009c of the Olson database. The
    only changes in this release are for Cuba.
  - Fixes for Win32 with Microsoft's December time zone update. This
    updated added a zone for Mauritius that wasn't accounted for in the
    DateTime::TimeZone::Local::Win32 module. Reported by David
    Pinkowitz. RT #43535.
  - Added a hack to fix some brokenness with Module::Build::Compat that
    causes the compatibility Makefile.PL to fail on really old
    ExtUtils::MakeMaker versions (6.17 and older). RT #43605.
  - 0.84    2009-01-21
  - This release is based on version 2009a of the Olson
    database. Changes include spelling "Katmandu" as "Kathmandu" (with a
    link for the old spelling), fixes for historical rules in
    Switzerland, and changes to America/Resolute and Cuba for the past
    few years (but not present).
  - If DateTime::TimeZone::Local could not load its OS-specific subclass
    because of a missing dependency, it would silently fall back on
    loading the Unix subclass, rather than throwing an error. RT #41305.
  - Fixed a bug where the short names for some time zones were
    wrong. This mostly (exclusively?) manifested in time zone rules for
    the first half of the 20th century or so.
  - 0.8301  2008-11-07
  - Test fixes only. The 19local-win32 tried to skip tests when they're
    run without write access to the registry, but this was done in a
    very broken way.
  - 0.83    2008-10-27
  - This release is based on version 2008i of the Olson database. The
    major changes in this release are for Argentina.
  - Updated the docs on how the local time zone is determined for
    various platforms.
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o added header
  o fixed desc, deps
* Sun Oct 26 2008 gerrit.beine@gmx.de
- update to 0.82
* Sun Jun  8 2008 gerrit.beine@gmx.de
- first release 0.7701
